<?php
/*~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!
!		!!! Разработка сайтов и отдельных модулей на PHP !!!
!	* - Автор скрипата   :  lugaro
!	* - E-mail           :  lugaro@bk.ru
!	* - Сайт             :  wapNEW.ru
!	* - ICQ              :  2000882
~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!*/
//$m = microtime(1);
define('_IN_JOHNCMS', 1);
$textl = 'Фото альбом';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
require_once 'lugaro/fun.php';
$db = new db();
$tpl = new xtemplate('tpl/index.tpl');
$admin = $rights == 9 ? true : false; //Индификатор админа
$moder = $rights >= 4 ? true : false; //Индификатор модера
//Скрыть показать админ вид
if(isset($_GET['adm'])) $_SESSION['adm'] = $_GET['adm'];
$vid_adm = ($_SESSION['adm'] == 'yes') ? true : false;
switch($_GET['mod']){
	default:
	require_once 'lugaro/inc/default.php';
	break;
	/*Настройки*/
	case'konf':
	require_once 'lugaro/inc/konf.php';
	break;
	/*Создание папки*/
	case'new_dir':
	require_once 'lugaro/inc/new_dir.php';
	break;
	/*Редактирование папки*/
	case'ren_dir':
	require_once 'lugaro/inc/ren_dir.php';
	break;
	/*Просмотр списка фото*/
	case'dir':
	require_once 'lugaro/inc/dir.php';
	break;
	/*Создание альбома*/
	case'new_albom':
	require_once 'lugaro/inc/new_albom.php';
	break;
	/*Добавление фото*/
	case'new_foto':
	require_once 'lugaro/inc/new_foto.php';
	break;
	/*Редактирование фото*/
	case'ren_foto':
	require_once 'lugaro/inc/ren_foto.php';
	break;
	/*Просмотр альбома*/
	case'albom':
	require_once 'lugaro/inc/albom.php';
	break;
	/*Топ 100 популярных*/
	case'top_cool':
	require_once 'lugaro/inc/top_cool.php';
	break;
	/*Топ 100 новых*/
	case'top_new':
	require_once 'lugaro/inc/top_new.php';
	break;
	/*Топ друзей*/
	case'top_friends':
	require_once 'lugaro/inc/top_friends.php';
	break;
	/*Топ коментируемых*/
	case'top_com':
	require_once 'lugaro/inc/top_com.php';
	break;
	/*Фото на модерацие*/
	case'moder':
	require_once 'lugaro/inc/moder.php';
	break;
	/*Просмотр фото*/
	case'file':
	require_once 'lugaro/inc/file.php';
	break;
	/*Список альбомов юзера*/
	case'user_albom':
	require_once 'lugaro/inc/user_albom.php';
	break;
	/*Список альбомов в папке*/
	case'list_albom':
	require_once 'lugaro/inc/list_albom.php';
	break;
	/*Проверка обновления*/
	case'update':
	require_once 'lugaro/inc/update.php';
	break;

}
//Блок админу
if($admin || $moder){
	$na_moder = $db->result($db->query("SELECT COUNT(*) FROM `foto_file` WHERE `mod` = 1"));
	if($na_moder) $tpl->assign('na_moder', '+'.$na_moder);
	if ($vid_adm){
		if($admin) $tpl->parse('index.admin.link');
		if($moder) $tpl->parse('index.admin.modlink');
	}
	$tpl->parse('index.admin');
}
$tpl->parse('index');
$tpl->out('index');
//echo '<hr/>'.substr((microtime(1)-$m), 0, 6);
require_once ("../incfiles/end.php");
?>